Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.render
Class HtmlFilter

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.BaseContentFilter
            |
            +--oracle.portal.provider.v2.render.HtmlFilter

All Implemented Interfaces:
  ContentFilter

Direct Known Subclasses:
  SelectiveRenderingFilter

public synchronized class HtmlFilter
extends BaseContentFilter

Constructor Summary
`HtmlFilter()`

Method Summary
`void` | `filterContent(PortletRenderRequest, java.io.InputStream)`
`void` | `filterContent(PortletRenderRequest, java.io.InputStream, java.lang.String)`
`java.lang.String` | `getConvertTarget()`
`java.lang.String` | `getFooterTrimTag()`
`java.lang.String` | `getHeaderTrimTag()`
`void` | `setConvertTarget(java.lang.String)`
`void` | `setFooterTrimTag(java.lang.String)`
`void` | `setHeaderTrimTag(java.lang.String)`

Methods inherited from class oracle.portal.provider.v2.render.BaseContentFilter
`getBaseHRef, getInlineRendering, getRedirectUrlFieldName, getSecBaseHRef, getSecBaseHRef, getUrlContentType, getUseAuthLinks, getUsePortalStyle, setBaseHRef, setInlineRendering, setRedirectUrlFieldName, setRemoveClassProperty, setSecBaseHRef, setUrlContentType, setUseAuthLinks, setUsePortalStyle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlFilter

    public HtmlFilter()

Method Detail

### setHeaderTrimTag

    public void setHeaderTrimTag(java.lang.String)

### getHeaderTrimTag

    public java.lang.String getHeaderTrimTag()

### setFooterTrimTag

    public void setFooterTrimTag(java.lang.String)

### getFooterTrimTag

    public java.lang.String getFooterTrimTag()

### setConvertTarget

    public void setConvertTarget(java.lang.String)

### getConvertTarget

    public java.lang.String getConvertTarget()

### filterContent

    public void filterContent(PortletRenderRequest,
                              java.io.InputStream)
                       throws java.io.IOException,
                              PortletException

    `java.io.IOException`
    `PortletException`

### filterContent

    public void filterContent(PortletRenderRequest,
                              java.io.InputStream,
                              java.lang.String)
                       throws java.io.IOException,
                              PortletException

    `java.io.IOException`
    `PortletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.